<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: otUdpSocket Struct Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="../../classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="../../inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="../../functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('da/dfd/structotUdpSocket.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="../../d1/dc3/structotUdpSocket-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">otUdpSocket Struct Reference<div class="ingroups"><a class="el" href="../../d0/d2d/group__api.html">API</a> &raquo; <a class="el" href="../../d2/d11/group__udp.html">UDP</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>This structure represents a UDP socket.  
 <a href="../../da/dfd/structotUdpSocket.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="../../dc/dbf/openthread-types_8h_source.html">include/openthread-types.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for otUdpSocket:</div>
<div class="dyncontent">
<div class="center"><img src="../../de/d3b/structotUdpSocket__inherit__graph.png" border="0" usemap="#otUdpSocket_inherit__map" alt="Inheritance graph"/></div>
<map name="otUdpSocket_inherit__map" id="otUdpSocket_inherit__map">
<area shape="rect" id="node2" href="../../dc/d75/classThread_1_1Ip6_1_1UdpSocket.html" title="This class implements a UDP/IPv6 socket. " alt="" coords="5,79,167,104"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for otUdpSocket:</div>
<div class="dyncontent">
<div class="center"><img src="../../db/dee/structotUdpSocket__coll__graph.png" border="0" usemap="#otUdpSocket_coll__map" alt="Collaboration graph"/></div>
<map name="otUdpSocket_coll__map" id="otUdpSocket_coll__map">
<area shape="rect" id="node2" href="../../d3/d28/structotSockAddr.html" title="This structure represents an IPv6 socket address. " alt="" coords="5,105,96,131"/>
<area shape="rect" id="node3" href="../../d6/d55/structotIp6Address.html" title="This structure represents an IPv6 address. " alt="" coords="66,5,166,31"/>
<area shape="rect" id="node4" href="../../dd/d76/structotMessageInfo.html" title="This structure represents the local and peer IPv6 socket addresses. " alt="" coords="120,105,229,131"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a4a99b2565fbe000fc93add20178374bd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4a99b2565fbe000fc93add20178374bd"></a>
<a class="el" href="../../d3/d28/structotSockAddr.html">otSockAddr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dfd/structotUdpSocket.html#a4a99b2565fbe000fc93add20178374bd">mSockName</a></td></tr>
<tr class="memdesc:a4a99b2565fbe000fc93add20178374bd"><td class="mdescLeft">&#160;</td><td class="mdescRight">The local IPv6 socket address. <br /></td></tr>
<tr class="separator:a4a99b2565fbe000fc93add20178374bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa853c7bac2584475eeee492aaad610ca"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa853c7bac2584475eeee492aaad610ca"></a>
<a class="el" href="../../d3/d28/structotSockAddr.html">otSockAddr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dfd/structotUdpSocket.html#aa853c7bac2584475eeee492aaad610ca">mPeerName</a></td></tr>
<tr class="memdesc:aa853c7bac2584475eeee492aaad610ca"><td class="mdescLeft">&#160;</td><td class="mdescRight">The peer IPv6 socket address. <br /></td></tr>
<tr class="separator:aa853c7bac2584475eeee492aaad610ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2ecdf82a3d6a9b21e301314de2271f0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa2ecdf82a3d6a9b21e301314de2271f0"></a>
<a class="el" href="../../d2/d11/group__udp.html#gacff67ed83068976da50fdfd6efdeaa1f">otUdpReceive</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dfd/structotUdpSocket.html#aa2ecdf82a3d6a9b21e301314de2271f0">mHandler</a></td></tr>
<tr class="memdesc:aa2ecdf82a3d6a9b21e301314de2271f0"><td class="mdescLeft">&#160;</td><td class="mdescRight">A function pointer to the application callback. <br /></td></tr>
<tr class="separator:aa2ecdf82a3d6a9b21e301314de2271f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1988824d212b26a9b3f9cb5d412121a5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1988824d212b26a9b3f9cb5d412121a5"></a>
void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dfd/structotUdpSocket.html#a1988824d212b26a9b3f9cb5d412121a5">mContext</a></td></tr>
<tr class="memdesc:a1988824d212b26a9b3f9cb5d412121a5"><td class="mdescLeft">&#160;</td><td class="mdescRight">A pointer to application-specific context. <br /></td></tr>
<tr class="separator:a1988824d212b26a9b3f9cb5d412121a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50f748fd43d72b227196c764247cdd6b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a50f748fd43d72b227196c764247cdd6b"></a>
void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dfd/structotUdpSocket.html#a50f748fd43d72b227196c764247cdd6b">mTransport</a></td></tr>
<tr class="memdesc:a50f748fd43d72b227196c764247cdd6b"><td class="mdescLeft">&#160;</td><td class="mdescRight">A pointer to the transport object (internal use only). <br /></td></tr>
<tr class="separator:a50f748fd43d72b227196c764247cdd6b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af59a47912e318de493cb93710638e25d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af59a47912e318de493cb93710638e25d"></a>
struct <a class="el" href="../../da/dfd/structotUdpSocket.html">otUdpSocket</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dfd/structotUdpSocket.html#af59a47912e318de493cb93710638e25d">mNext</a></td></tr>
<tr class="memdesc:af59a47912e318de493cb93710638e25d"><td class="mdescLeft">&#160;</td><td class="mdescRight">A pointer to the next UDP socket (internal use only). <br /></td></tr>
<tr class="separator:af59a47912e318de493cb93710638e25d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This structure represents a UDP socket. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>include/<a class="el" href="../../dc/dbf/openthread-types_8h_source.html">openthread-types.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../da/dfd/structotUdpSocket.html">otUdpSocket</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:35 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
